import{S as be,i as ke,s as _e,e as o,k as h,w as Ee,t as s,M as xe,c as n,d as t,m as p,a as i,x as Te,h as r,b as T,G as a,g as d,y as Ae,L as Se,q as Le,o as Pe,B as Ie,v as $e}from"../../chunks/vendor-hf-doc-builder.js";import{I as Ne}from"../../chunks/IconCopyLink-hf-doc-builder.js";function We(ce){let u,W,f,m,A,y,q,S,B,R,w,D,O,b,M,C,c,k,L,F,U,J,_,P,j,K,Q,E,I,V,X,Z,x,$,ee,ae,G,g,te,N,oe,ne,H;return y=new Ne({}),{c(){u=o("meta"),W=h(),f=o("h1"),m=o("a"),A=o("span"),Ee(y.$$.fragment),q=h(),S=o("span"),B=s("Audio applications"),R=h(),w=o("p"),D=s(`Welcome to the second unit of the Hugging Face audio course! Previously, we explored the fundamentals of audio data
and learned how to work with audio datasets using the \u{1F917} Datasets and \u{1F917} Transformers libraries. We discussed various
concepts such as sampling rate, amplitude, bit depth, waveform, and spectrograms, and saw how to preprocess data to
prepare it for a pre-trained model.`),O=h(),b=o("p"),M=s(`At this point you may be eager to learn about the audio tasks that \u{1F917} Transformers can handle, and you have all the foundational
knowledge necessary to dive in! Let\u2019s take a look at some of the mind-blowing audio task examples:`),C=h(),c=o("ul"),k=o("li"),L=o("strong"),F=s("Audio classification"),U=s(`: easily categorize audio clips into different categories. You can identify whether a recording
is of a barking dog or a meowing cat, or what music genre a song belongs to.`),J=h(),_=o("li"),P=o("strong"),j=s("Automatic speech recognition"),K=s(`: transform audio clips into text by transcribing them automatically. You can get a text
representation of a recording of someone speaking, like \u201CHow are you doing today?\u201C. Rather useful for note taking!`),Q=h(),E=o("li"),I=o("strong"),V=s("Speaker diarization"),X=s(`: Ever wondered who\u2019s speaking in a recording? With \u{1F917} Transformers, you can identify which speaker
is talking at any given time in an audio clip. Imagine being able to differentiate between \u201CAlice\u201D and \u201CBob\u201D in a recording
of them having a conversation.`),Z=h(),x=o("li"),$=o("strong"),ee=s("Text to speech"),ae=s(`: create a narrated version of a text that can be used to produce an audio book, help with accessibility,
or give a voice to an NPC in a game. With \u{1F917} Transformers, you can easily do that!`),G=h(),g=o("p"),te=s("In this unit, you\u2019ll learn how to use pre-trained models for some of these tasks using the "),N=o("code"),oe=s("pipeline()"),ne=s(` function from \u{1F917} Transformers.
Specifically, we\u2019ll see how the pre-trained models can be used for audio classification and automatic speech recognition.
Let\u2019s get started!`),this.h()},l(e){const l=xe('[data-svelte="svelte-1phssyn"]',document.head);u=n(l,"META",{name:!0,content:!0}),l.forEach(t),W=p(e),f=n(e,"H1",{class:!0});var z=i(f);m=n(z,"A",{id:!0,class:!0,href:!0});var de=i(m);A=n(de,"SPAN",{});var ue=i(A);Te(y.$$.fragment,ue),ue.forEach(t),de.forEach(t),q=p(z),S=n(z,"SPAN",{});var fe=i(S);B=r(fe,"Audio applications"),fe.forEach(t),z.forEach(t),R=p(e),w=n(e,"P",{});var he=i(w);D=r(he,`Welcome to the second unit of the Hugging Face audio course! Previously, we explored the fundamentals of audio data
and learned how to work with audio datasets using the \u{1F917} Datasets and \u{1F917} Transformers libraries. We discussed various
concepts such as sampling rate, amplitude, bit depth, waveform, and spectrograms, and saw how to preprocess data to
prepare it for a pre-trained model.`),he.forEach(t),O=p(e),b=n(e,"P",{});var pe=i(b);M=r(pe,`At this point you may be eager to learn about the audio tasks that \u{1F917} Transformers can handle, and you have all the foundational
knowledge necessary to dive in! Let\u2019s take a look at some of the mind-blowing audio task examples:`),pe.forEach(t),C=p(e),c=n(e,"UL",{});var v=i(c);k=n(v,"LI",{});var ie=i(k);L=n(ie,"STRONG",{});var me=i(L);F=r(me,"Audio classification"),me.forEach(t),U=r(ie,`: easily categorize audio clips into different categories. You can identify whether a recording
is of a barking dog or a meowing cat, or what music genre a song belongs to.`),ie.forEach(t),J=p(v),_=n(v,"LI",{});var se=i(_);P=n(se,"STRONG",{});var ge=i(P);j=r(ge,"Automatic speech recognition"),ge.forEach(t),K=r(se,`: transform audio clips into text by transcribing them automatically. You can get a text
representation of a recording of someone speaking, like \u201CHow are you doing today?\u201C. Rather useful for note taking!`),se.forEach(t),Q=p(v),E=n(v,"LI",{});var re=i(E);I=n(re,"STRONG",{});var ve=i(I);V=r(ve,"Speaker diarization"),ve.forEach(t),X=r(re,`: Ever wondered who\u2019s speaking in a recording? With \u{1F917} Transformers, you can identify which speaker
is talking at any given time in an audio clip. Imagine being able to differentiate between \u201CAlice\u201D and \u201CBob\u201D in a recording
of them having a conversation.`),re.forEach(t),Z=p(v),x=n(v,"LI",{});var le=i(x);$=n(le,"STRONG",{});var ye=i($);ee=r(ye,"Text to speech"),ye.forEach(t),ae=r(le,`: create a narrated version of a text that can be used to produce an audio book, help with accessibility,
or give a voice to an NPC in a game. With \u{1F917} Transformers, you can easily do that!`),le.forEach(t),v.forEach(t),G=p(e),g=n(e,"P",{});var Y=i(g);te=r(Y,"In this unit, you\u2019ll learn how to use pre-trained models for some of these tasks using the "),N=n(Y,"CODE",{});var we=i(N);oe=r(we,"pipeline()"),we.forEach(t),ne=r(Y,` function from \u{1F917} Transformers.
Specifically, we\u2019ll see how the pre-trained models can be used for audio classification and automatic speech recognition.
Let\u2019s get started!`),Y.forEach(t),this.h()},h(){T(u,"name","hf:doc:metadata"),T(u,"content",JSON.stringify(Re)),T(m,"id","audio-applications"),T(m,"class","header-link pr-1.5 text-lg hidden hover:block hover:absolute hover:p-1.5 hover:opacity-0 hover:group-hover:opacity-100 hover:right-full"),T(m,"href","#audio-applications"),T(f,"class","relative group")},m(e,l){a(document.head,u),d(e,W,l),d(e,f,l),a(f,m),a(m,A),Ae(y,A,null),a(f,q),a(f,S),a(S,B),d(e,R,l),d(e,w,l),a(w,D),d(e,O,l),d(e,b,l),a(b,M),d(e,C,l),d(e,c,l),a(c,k),a(k,L),a(L,F),a(k,U),a(c,J),a(c,_),a(_,P),a(P,j),a(_,K),a(c,Q),a(c,E),a(E,I),a(I,V),a(E,X),a(c,Z),a(c,x),a(x,$),a($,ee),a(x,ae),d(e,G,l),d(e,g,l),a(g,te),a(g,N),a(N,oe),a(g,ne),H=!0},p:Se,i(e){H||(Le(y.$$.fragment,e),H=!0)},o(e){Pe(y.$$.fragment,e),H=!1},d(e){t(u),e&&t(W),e&&t(f),Ie(y),e&&t(R),e&&t(w),e&&t(O),e&&t(b),e&&t(C),e&&t(c),e&&t(G),e&&t(g)}}}const Re={local:"audio-applications",title:"Audio applications"};function Oe(ce){return $e(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class He extends be{constructor(u){super();ke(this,u,Oe,We,_e,{})}}export{He as default,Re as metadata};
